#!/bin/sh

#smart uses *

for arg in "$@" 
do
       index=`expr $index + 1` 
      if test $index -gt 1 ; then
          # echo RRR $index $arg - $PAQS
         narg=`echo $arg| sed 's/^\"//'| sed 's/\"$//'`
          PAQS="$PAQS $narg"                 
      fi
done  


#nd:nu:f:bd_dwld|tar|configure|all|srcinstall|install
#por defecto: _install


SMART="smart --yes "

TACCION=$1

ACCION=`echo $TACCION|awk -F'-' '{print $1}'`
ACCIONINFO=`echo $TACCION|awk -F'-' '{print $2}'`
EACCION=`echo $ACCIONINFO|awk -F'_' '{print $1}'`
E2ACCION=`echo $ACCIONINFO|awk -F'_' '{print $2}'`
echo Accion: $ACCION, Opciones: $ACCIONINFO Distro: SUSE
echo Paquetes: $PAQS

OS=`echo $EACTION |cut -b1`
OND=`echo $EACTION |cut -b2`
ONU=`echo $EACTION |cut -b3`
OF=`echo $EACTION |cut -b14`
OBD=`echo $EACTION |cut -b5`

#ver como instalar smart en todos los sistemas
#http://www.labix.org/smart/


#channel --add
#    * rug verify
#    * rug* dangling-requires
#    * apt-get check ?
#    * apt-cache unmet
#    * smart check solo checkea fix arregla
#    * yum deplist 
#priority
#mirror

if test "x$ACCION" = xinstall ; then
 if test "x$E2ACCION" = xdwld ; then
  echo  $SMART download $PAQS
  $SMART download $PAQS
# tambien install --download
    # ver donde los baja y como se llaman
#echo propuesta "$SMART install  --download-only $PAQS; rpm --install --nopeds $PAQS "
  exit
 fi

OPTS=

if test "x$OS" != x ; then
echo NO SE

#    echo $SMART source-install $PAQS
#    $SMART source-install $PAQS

fi

if test "x$OND" != x ; then
    #nodeps
    echo No se
    #echo rpm -i --nodeps $PAQS
    # falta ver que es $PAQS    
    #rpm -i --nodeps $PAQS

    #
    exit
 fi

if test "x$ONU" != x ; then
    echo NO SE
    exit
fi
if test  "x$OBD" != x ; then
    echo NO SE
    exit
fi
if test  "x$OF" != x ; then
    echo     $SMART reinstall   $PAQS  
    $SMART reinstall   $PAQS  
    exit
fi
echo     $SMART install    $PAQS  
$SMART install $PAQS  

#    echo "$SMART install -f  $PAQS;  $SMART update  $PAQS "
    # esto lo hace install de por si $SMART update  $PAQS # verificar si hay alguna mejor forma que hacerlo dos veces
    #por defecto zypper update
# else
#    echo Opcion inexistente. Error en -o  $ACCIONINFO accion: $ACCION 
# fi


elif test "x$ACCION" = xoriginalsourceinstall ; then
   echo esto lo maneja source.sh, mal llamado desde babel
elif test "x$ACCION" = xsearch ; then
     $SMART search $PAQS
#  if test "x$EACCION" = xnames -o "x$EACCION" = x ; then
#     echo $SMART search  $PAQS
#     $SMART search  $PAQS
#  elif test "x$EACCION" = xall ; then
#     echo $SMART search -d $PAQS
#     $SMART search -d $PAQS
#  else
#     echo error opcion $EACCION diferente a la habilitada con search
#  fi
elif test "x$ACCION" = xinfo  ; then
       #la opcion aca EACCION no parece servir
     echo $SMART info  $PAQS
     $SMART info  $PAQS
elif test "x$ACCION" = xremove ; then
     echo $SMART remove  $PAQS
     $SMART remove  $PAQS
elif test "x$ACCION" = xspecial ; then
echo $SMART $ACCIONINFO $PAQS
    $SMART $ACCIONINFO $PAQS
elif test "x$ACCION" = xfix; then
     echo $SMART fix  $PAQS
     $SMART fix  $PAQS
#   echo No se quizas 	rug* solvedeps 
elif test "x$ACCION" = xclean ; then
    echo $SMART clean
     $SMART clean 
     #apt-cache autoclean only obsolete
elif test "x$ACCION" = xdelrepo ; then
    echo No hecho todavia, channel --remove
    
elif test "x$ACCION" = xrefresh ; then
    echo $SMART update
    $SMART update
elif test "x$ACCION" = xupdate ; then
   echo $SMART upgrade
    $SMART upgrade
elif test "x$ACCION" = xdistupdate ; then
echo NO SE
#echo     $SMART dup
#    $SMART dup
elif test "x$ACCION" = xdepclean ; then
   echo No aplica
  #  echo     $SMART si -d
  #  $SMART si -d
elif test "x$ACCION" = xstats ; then
   echo $SMART stats
    $SMART stats
elif test "x$ACCION" = xaddrepo ; then
 echo VER
#   echo $SMART chanel --add $PAQS
#    $SMART chanell -add $PAQS
    #PAQ-$TOOLSET.sh ar $distro $nombre
elif test "x$ACCION" = xINI ; then
else
 echo $SMART $ACCION $PAQS
  $SMART $ACCION $PAQS 
fi




#verify: sugiere
# no: locks

#otras acciones con otros scripts: update global, dup, addrepo fix clean
